Package org.h2.table

# Enum Class DataChangeDeltaTable.ResultOption

java.lang.Object
java.lang.Enum<DataChangeDeltaTable.ResultOption>
org.h2.table.DataChangeDeltaTable.ResultOption

All Implemented Interfaces:
  `Serializable`, `Comparable<DataChangeDeltaTable.ResultOption>`, `Constable`

Enclosing class:
  `DataChangeDeltaTable`

public static enum DataChangeDeltaTable.ResultOption extends Enum<DataChangeDeltaTable.ResultOption>
Result option.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FINAL`
FINAL rows after triggers.
`NEW`
NEW row with evaluated default expressions, but before triggers.
`OLD`
OLD row.

## Method Summary

Modifier and Type
Method
Description
`static DataChangeDeltaTable.ResultOption`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DataChangeDeltaTable.ResultOption[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OLD

public static final DataChangeDeltaTable.ResultOption OLD
OLD row.

### NEW

public static final DataChangeDeltaTable.ResultOption NEW
NEW row with evaluated default expressions, but before triggers.

### FINAL

public static final DataChangeDeltaTable.ResultOption FINAL
FINAL rows after triggers.

## Method Details

### values

public static DataChangeDeltaTable.ResultOption[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DataChangeDeltaTable.ResultOption valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null